Package org.apache.sling.event.impl.support

# Class ScheduleInfoImpl

java.lang.Object
org.apache.sling.event.impl.support.ScheduleInfoImpl

All Implemented Interfaces:
  `Serializable`, `org.apache.sling.event.jobs.ScheduleInfo`

public class ScheduleInfoImpl extends Object implements org.apache.sling.event.jobs.ScheduleInfo, Serializable

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.ScheduleInfo

`org.apache.sling.event.jobs.ScheduleInfo.ScheduleType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EVENTING_THREADPOOL_NAME`

## Method Summary

Modifier and Type
Method
Description
`static ScheduleInfoImpl`
`AT(Date at)`
`void`
`check(List<String> errors)`
`static ScheduleInfoImpl`
`CRON(String expr)`
`static ScheduleInfoImpl`
`DAILY(int hour, int minute)`
`static ScheduleInfoImpl`
`deserialize(String s)`
`static ScheduleInfoImpl`
`deserialize(org.apache.sling.event.jobs.ScheduleInfo.ScheduleType scheduleType, String s)`
`Date`
`getAt()`
`String`
`getCronExpression()`
If the job is scheduled daily or weekly, return the cron expression
`int`
`getDayOfMonth()`
`int`
`getDayOfWeek()`
`String`
`getExpression()`
`int`
`getHourOfDay()`
`int`
`getMinuteOfHour()`
`int`
`getMonthOfYear()`
`Date`
`getNextScheduledExecution()`
`String`
`getSerializedString()`
`org.apache.sling.event.jobs.ScheduleInfo.ScheduleType`
`getType()`
`static ScheduleInfoImpl`
`HOURLY(int minutes)`
`static ScheduleInfoImpl`
`MONTHLY(int day, int hour, int minute)`
`String`
`toString()`
`static ScheduleInfoImpl`
`WEEKLY(int day, int hour, int minute)`
`static ScheduleInfoImpl`
`YEARLY(int month, int day, int hour, int minute)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EVENTING_THREADPOOL_NAME

public static final String EVENTING_THREADPOOL_NAME

See Also:
  - Constant Field Values

## Method Details

### HOURLY

public static ScheduleInfoImpl HOURLY(int minutes)

### CRON

public static ScheduleInfoImpl CRON(String expr)

### AT

public static ScheduleInfoImpl AT(Date at)

### YEARLY

public static ScheduleInfoImpl YEARLY(int month, int day, int hour, int minute)

### MONTHLY

public static ScheduleInfoImpl MONTHLY(int day, int hour, int minute)

### WEEKLY

public static ScheduleInfoImpl WEEKLY(int day, int hour, int minute)

### DAILY

public static ScheduleInfoImpl DAILY(int hour, int minute)

### deserialize

public static ScheduleInfoImpl deserialize(org.apache.sling.event.jobs.ScheduleInfo.ScheduleType scheduleType, String s)

### deserialize

public static ScheduleInfoImpl deserialize(String s)

### getSerializedString

public String getSerializedString()

### getType

public org.apache.sling.event.jobs.ScheduleInfo.ScheduleType getType()

Specified by:
  `getType` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getAt

public Date getAt()

Specified by:
  `getAt` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getDayOfWeek

public int getDayOfWeek()

Specified by:
  `getDayOfWeek` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getHourOfDay

public int getHourOfDay()

Specified by:
  `getHourOfDay` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getMinuteOfHour

public int getMinuteOfHour()

Specified by:
  `getMinuteOfHour` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getExpression

public String getExpression()

Specified by:
  `getExpression` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getMonthOfYear

public int getMonthOfYear()

Specified by:
  `getMonthOfYear` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### getDayOfMonth

public int getDayOfMonth()

Specified by:
  `getDayOfMonth` in interface `org.apache.sling.event.jobs.ScheduleInfo`

### check

public void check(List<String> errors)

### getNextScheduledExecution

public Date getNextScheduledExecution()

### getCronExpression

public String getCronExpression()
If the job is scheduled daily or weekly, return the cron expression

### toString

public String toString()

Overrides:
  `toString` in class `Object`